/* 
 * CyberLinkC AV API for Control Points
 *
 * ccdsactionarguments.h
 *
 * Copyright 2005 Nokia Corporation. All rights reserved.
 *
 * This is licensed under BSD-style license,
 * see file COPYING.
 */

#ifndef CG_UPNP_AV_CDS_ARGUMENTS_H
#define CG_UPNP_AV_CDS_ARGUMENTS_H

/*********************************************
 * Action arguments
 *********************************************/
#define CG_UPNP_CDS_ARG_SEARCHCAPS "SearchCaps"
#define CG_UPNP_CDS_ARG_SORTCAPS "SortCaps"
#define CG_UPNP_CDS_ARG_ID "Id"
#define CG_UPNP_CDS_ARG_OBJECTID "ObjectID"
#define CG_UPNP_CDS_ARG_BROWSEFLAG "BrowseFlag"
#define CG_UPNP_CDS_ARG_FILTER "Filter"
#define CG_UPNP_CDS_ARG_STARTINGINDEX "StartingIndex"
#define CG_UPNP_CDS_ARG_REQUESTEDCOUNT "RequestedCount"
#define CG_UPNP_CDS_ARG_SORTCRITERIA "SortCriteria"
#define CG_UPNP_CDS_ARG_SEARCHCRITERIA "SearchCriteria"

#define CG_UPNP_CDS_ARG_RESULT "Result"
#define CG_UPNP_CDS_ARG_NUMBERRETURNED "NumberReturned"
#define CG_UPNP_CDS_ARG_TOTALMATCHES "TotalMatches"
#define CG_UPNP_CDS_ARG_UPDATEID "UpdateID"

#define CG_UPNP_CDS_ARG_CONTAINERID "ContainerID"
#define CG_UPNP_CDS_ARG_ELEMENTS "Elements"
#define CG_UPNP_CDS_ARG_OBJECTID "ObjectID"

#define CG_UPNP_CDS_ARG_CURRENTTAGVALUE "CurrentTagValue"
#define CG_UPNP_CDS_ARG_NEWTAGVALUE "NewTagValue"

#define CG_UPNP_CDS_ARG_SOURCEURI "SourceURI"
#define CG_UPNP_CDS_ARG_DESTINATIONURI "DestinationURI"
#define CG_UPNP_CDS_ARG_TRANSFERID "TransferID"

#define CG_UPNP_CDS_ARG_TRANSFERSTATUS "TransferStatus"
#define CG_UPNP_CDS_ARG_TRANSFERLENGTH "TransferLength"
#define CG_UPNP_CDS_ARG_TRANSFERTOTAL "TransferTotal"

#define CG_UPNP_CDS_ARG_RESOURCEURI "ResourceURI"

#define CG_UPNP_CDS_ARG_NEWID "NewID"

/*****************************************************************************
 * Argument data
 *****************************************************************************/
#define CG_UPNP_AV_CDS_BROWSE_FLAG_METADATA "BrowseMetadata"
#define CG_UPNP_AV_CDS_BROWSE_FLAG_DIRECTCHILDREN "BrowseDirectChildren"

#define CG_UPNP_AV_CDS_BROWSE_OBJECTID_ROOT "0"
#define CG_UPNP_AV_CDS_BROWSE_FILTER_ALL "*"
#define CG_UPNP_AV_CDS_BROWSE_SORTCRITERIA_NONE ""
#define CG_UPNP_AV_CDS_BROWSE_REQUESTEDCOUNT_ALL "0"
#define CG_UPNP_AV_CDS_BROWSE_STARTINGINDEX_FIRST "0"

#endif
